WordPress.org

Ready to get started?Download WordPress

Forums

BuddyPress Private Community
BP Pvt Community does not work with 3.3 (12 posts)

  1. zaphod_b
    Member
    Posted 2 years ago #

    On enabling the plugin, when I go to any page except the homepage as a non-logged in user, I get this error:

    Warning: Cannot modify header information - headers already sent by (output started at /public_html/wp-content/plugins/buddypress/bp-themes/bp-default/blogs/index.php:12) in /public_html/wp-includes/pluggable.php on line 866

    I am using WP 3.3 with multisite functionality and the latest BuddyPress.

    http://wordpress.org/extend/plugins/buddypress-private-community/

  2. coreymj78
    Member
    Posted 2 years ago #

    I just got the same thing. Tried the various "fixes" but didn't work at all. I believe this has something to do with the new version of either WP or BP.

    Thanks.

  3. eeepee
    Member
    Posted 2 years ago #

    Hi,

    please have a look at

    /public_html/wp-content/plugins/buddypress/bp-themes/bp-default/blogs/index.php:12

    You will find a newline at line 11. Delete this empty line
    9
    10 ?>
    11 <?php get_header( 'buddypress' ); ?>

    and try again. I'm running WP3.3, BP1.5.2 and BuddyPress Private Community 0.6

  4. bojanski
    Member
    Posted 2 years ago #

    Thanks eeepee!
    That worked for me...

  5. eeepee
    Member
    Posted 2 years ago #

    Hi bojanski,

    fine... but you will have to repeat that for every Buddypress update (until this empty line will vanish). After upgrading to BP 1.5.3 and 1.5.3.1: same procedure again.

  6. thebusysingleparent
    Member
    Posted 2 years ago #

    Ok, so that fixed the header problem but does this not work with other themes? I am using pagelines pro with the bp template pack and all my other buddypress components work just fine but I do not have settings for the privacy plugin and nothing is private http://test2.thesingleparentperspective.com

  7. eeepee
    Member
    Posted 2 years ago #

    Hi busysingleparent,

    this plugin has no settings page. You have to create a config-file in

    /wp-content/plugins/buddypress-private-community-config/mm-buddypress-private-community-config.php

    (you have to create the folder buddypress-private-community-config). Please read the documentation and FAQ how to configure the plugin. There are a number of various ways how to handle users which aren't authenticated and what to do next.

    In the above mentioned configuration file, I use only the following statements:

    List of allowed URIs (all others are blocked, adapt this to your site):

    MM_BUDDYPRESS_PRIVATE_COMMUNITY::$ALLOWED_URIS = Array('/contacts', '/about', '/welcome');

    redirect blocked users to starting page:

    MM_BUDDYPRESS_PRIVATE_COMMUNITY::$REDIRECT_TO_URL = site_url() . '';

    and this for redirecting users which authenticated:

    MM_BUDDYPRESS_PRIVATE_COMMUNITY::$REDIRECT_HOOK = 'my_redir_to';

    the plugin has a sample config file which gives you some examples.

  8. cemilturken
    Member
    Posted 2 years ago #

    Hi, I have a problem for buddypress. I installed buddypress and choose "Hide out of the system for users administration panel?". After, "you do not have sufficient permissions to access this page" error. Help me please. (My English is a little. Sorry.) I'm waiting your suggestions. Thanks.

  9. JustLearning
    Member
    Posted 2 years ago #

    eeepee, I am having the same trouble with getting the error
    ***
    Warning: Cannot modify header information - headers already sent by (output started at /nfs/c05/h02/mnt/74581/domains/angelservicedogs.com/html/wp-content/plugins/buddypress/bp-themes/bp-default/members/index.php:12) in /nfs/c05/h02/mnt/74581/domains/angelservicedogs.com/html/wp-includes/pluggable.php on line 866
    ***
    I am using WordPress multisite, buddypress, Private Community plug-in.
    I deleted the 11th line that was blank like you had mentioned but I still get the error.
    My site is http://club.angelservicedogs.com

    Do you have any ideas of what I could do to fix this?
    I am totally new to WordPress and PHP in general. But I do know how to use a text editor.

  10. myfaith20
    Member
    Posted 2 years ago #

    This plugin seems to be working on my site, I just can't get it to unblock the RSS feeds even when I select "FALSE" in the config file. Any help, please?

  11. eeepee
    Member
    Posted 2 years ago #

    Hi myfaith20,

    if I set

    MM_BUDDYPRESS_PRIVATE_COMMUNITY::$BLOCK_RSS_FEEDS = FALSE;

    then all feeds can be read, regardless if somebody is authendicated or not

    If

    //MM_BUDDYPRESS_PRIVATE_COMMUNITY::$BLOCK_RSS_FEEDS = FALSE;

    or

    MM_BUDDYPRESS_PRIVATE_COMMUNITY::$BLOCK_RSS_FEEDS = TRUE;

    is set, all RSS-Feeds are blocked.

    but this switch

    MM_BUDDYPRESS_PRIVATE_COMMUNITY::$BLOCK_RSS_FEEDS_WHEN_LOGGED_IN = FALSE;

    doesn't work. If the above switch is set to block, then I get no feed, otherwise reading is possible. Authentications doesn't seem to matter. Only a quick tested with the RSS-Reader of Safari.

    eeepee

  12. eeepee
    Member
    Posted 2 years ago #

    Hi JustLearning,

    actually your site is running on a plan WP now. Have you looked at the exact error after deleting the empty line in:

    /public_html/wp-content/plugins/buddypress/bp-themes/bp-default/blogs/index.php

    Perhaps you've got another "Warning: Cannot modify header information" on a different place. I've observed this empty-line problem also with some other plugins/themes.

    eeepee

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic